Subject: Re: Routing directorate QA review of draft-ietf-rtgwg-yang-vrrp

From: Henning Rogge <[email-masked]>
Date: Mon, 24 Apr 2017 09:41:27 +0200

Hi,

Jonathan Hardwick asked me to do an early review of the
draft-ietf-rtgwg-yang-vrrp document (currently revision 02) for the routing
directorate.

The draft itself is pretty straight forward and compact, especially when
you consider that a lot of text has to be repeated two or four times
(IPv4/IPv6, config vs. read-only state).

But I had quite a bit of trouble mapping the phrases from the new
draft-ietf-rtgwg-yang-vrrp-02 document to the existing VRRP documents (e.g.
RFC5798). This might come from my unfamilarity with VRRP.

The draft YANG model allows to read (if:interfaces-state) and configure
(if:interfaces) virtual IP addresses, but this does not seem to be a common
phrase from the RFCs. Is it the same as "address of the virtual router"
often mentioned in RFC5798?

In addition to this, I found (I think) a typo or inconsistency in Appendix
A:
the ascii art says "eth0" but tree says "eth1".

Henning Rogge

On Mon, Mar 27, 2017 at 5:43 PM, Jonathan Hardwick <
[email-masked]> wrote:

> Hi Henning
>
>
>
> Please would you do a routing directorate early review of this draft?
> Would you be able to do it in 2 to 3 weeks?
>
>
>
> Many thanks
>
> Jon
>
>
>
>
>
> Please would you do a routing directorate QA review of this draft?
>
> https://datatracker.ietf.org/doc/draft-ietf-rtgwg-yang-vrrp/
>
>
>
> The draft is still in the RTGWG and is ready for WG last call.  The WG
> chairs have asked for a QA review from the directorate.  The following link
> provides guidance on QA reviews.
>
> https://trac.ietf.org/trac/rtg/wiki/RtgDirDocQa
>
>
>
>
>

---

From: Xufeng Liu <[email-masked]>
Date: Tue, 25 Apr 2017 13:47:18 +0000

Hi Henning,

Thank you much for the review.

You are right about the mapping for "address of the virtual router". The existing YANG data model for configuring and managing IP addresses is RFC7277, which augments the ietf-interfaces model specified by RFC7223. This VRRP model follows the same paradigm. Such a structure is also VRRP protocols are usually implemented.

We will fix the error in  Appendix A. in the next revision.

Regards,
- Xufeng

From: Henning Rogge [mailto:[email-masked]]
Sent: Monday, April 24, 2017 3:41 AM
To: Jonathan Hardwick <[email-masked]>; Xufeng Liu <[email-masked]>; Athanasios Kyparlis <[email-masked]>; [email-masked]; [email-masked]
Cc: Routing WG <[email-masked]>
Subject: Re: Routing directorate QA review of draft-ietf-rtgwg-yang-vrrp

Hi,

Jonathan Hardwick asked me to do an early review of the draft-ietf-rtgwg-yang-vrrp document (currently revision 02) for the routing directorate.

The draft itself is pretty straight forward and compact, especially when you consider that a lot of text has to be repeated two or four times (IPv4/IPv6, config vs. read-only state).

But I had quite a bit of trouble mapping the phrases from the new draft-ietf-rtgwg-yang-vrrp-02 document to the existing VRRP documents (e.g. RFC5798). This might come from my unfamilarity with VRRP.

The draft YANG model allows to read (if:interfaces-state) and configure (if:interfaces) virtual IP addresses, but this does not seem to be a common phrase from the RFCs. Is it the same as "address of the virtual router" often mentioned in RFC5798?

In addition to this, I found (I think) a typo or inconsistency in Appendix A:
the ascii art says "eth0" but tree says "eth1".

Henning Rogge

On Mon, Mar 27, 2017 at 5:43 PM, Jonathan Hardwick <[email-masked]<mailto:[email-masked]>> wrote:
Hi Henning

Please would you do a routing directorate early review of this draft?  Would you be able to do it in 2 to 3 weeks?

Many thanks
Jon

The draft is still in the RTGWG and is ready for WG last call.  The WG chairs have asked for a QA review from the directorate.  The following link provides guidance on QA reviews.
https://trac.ietf.org/trac/rtg/wiki/RtgDirDocQa

---

From: Henning Rogge <[email-masked]>
Date: Tue, 25 Apr 2017 15:49:31 +0200

> You are right about the mapping for "address of the virtual router". The existing YANG data model for configuring and managing IP addresses is RFC7277, which augments the ietf-interfaces model spec…

Maybe the naming of the variables or the explanation of them could be
improved to explicitly state this.

Henning

> On Mon, Mar 27, 2017 at 5:43 PM, Jonathan Hardwick <[email-masked]> wrote:
>
> Hi Henning
>
>
>

---

From: Xufeng Liu <[email-masked]>
Date: Wed, 26 Apr 2017 13:18:26 +0000

Hi Henning,

Yes. We will add some explanations.
Thanks,
- Xufeng

> -----Original Message-----
> Sent: Tuesday, April 25, 2017 9:50 AM
> To: Xufeng Liu <[email-masked]>
> Cc: Jonathan Hardwick <[email-masked]>; Athanasios
> Kyparlis <[email-masked]>; [email-masked];
> [email-masked]; Routing WG <[email-masked]>
> > You are right about the mapping for "address of the virtual router". The
> existing YANG data model for configuring and managing IP addresses is RFC7277,
> which augments the ietf-interfaces model specified by RFC7223. This VRRP
> model follows the same paradigm. Such a structure is also VRRP protocols are
> usually implemented.
> 
> > To: Jonathan Hardwick <[email-masked]>; Xufeng Liu
> > <[email-masked]>; Athanasios Kyparlis
> > <[email-masked]>; [email-masked];
> > [email-masked]
> > Jonathan Hardwick asked me to do an early review of the draft-ietf-rtgwg-
> yang-vrrp document (currently revision 02) for the routing directorate.
> >
> >
> >
> > The draft itself is pretty straight forward and compact, especially when you
> consider that a lot of text has to be repeated two or four times (IPv4/IPv6,
> config vs. read-only state).
> >
> >
> >
> > But I had quite a bit of trouble mapping the phrases from the new draft-ietf-
> rtgwg-yang-vrrp-02 document to the existing VRRP documents (e.g. RFC5798).
> This might come from my unfamilarity with VRRP.
> >
> >
> >
> phrase from the RFCs. Is it the same as "address of the virtual router" often
> mentioned in RFC5798?
> >
> >
> >
> > On Mon, Mar 27, 2017 at 5:43 PM, Jonathan Hardwick
> <[email-masked]> wrote:
> >
> > Hi Henning
> >
> >
> >
> > The draft is still in the RTGWG and is ready for WG last call.  The WG chairs
> have asked for a QA review from the directorate.  The following link provides
> guidance on QA reviews.
> >

---

From: Xufeng Liu <[email-masked]>
Date: Fri, 28 Apr 2017 20:41:31 +0000

Hi Henning,

Please review if the attached change proposal is ok.
Thanks,
- Xufeng

> From: Xufeng Liu
> Sent: Wednesday, April 26, 2017 9:18 AM
> To: 'Henning Rogge' <[email-masked]>
> Subject: RE: Routing directorate QA review of draft-ietf-rtgwg-yang-vrrp
> 
> Hi Henning,
> 
> > existing YANG data model for configuring and managing IP addresses is
> > RFC7277, which augments the ietf-interfaces model specified by
> > RFC7223. This VRRP model follows the same paradigm. Such a structure
> > is also VRRP protocols are usually implemented.
> >
> > > draft-ietf-rtgwg-
> > consider that a lot of text has to be repeated two or four times
> > > draft-ietf-
> > (if:interfaces) virtual IP addresses, but this does not seem to be a
> > common phrase from the RFCs. Is it the same as "address of the virtual
> > router" often mentioned in RFC5798?
> > >
> > >
> > >
> > > Please would you do a routing directorate early review of this
> > > draft?  Would
> > you be able to do it in 2 to 3 weeks?
> > >
> > >
> > >
> > > Many thanks
> > >
> > > Jon
> > >
> > >
> > >
> > >
> > >
> > have asked for a QA review from the directorate.  The following link